Skip to content

Create one plan family.

POST
/api/workspace/entitlement-operations/models/{modelType}/{modelId}/plan-families
curl --request POST \
--url https://example.com/api/workspace/entitlement-operations/models/example/example/plan-families \
--header 'Content-Type: application/json' \
--data '{ "Key": "example", "DisplayName": "example", "Description": "example", "SortOrder": 1, "IsActive": true }'
  • None
modelType
required
string
modelId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Create a plan family for one entitlement model.

object
Key

Optional stable family key. The server generates one when omitted.

string
nullable
DisplayName
required

Family display name.

string
Description

Optional family description.

string
nullable
SortOrder

Optional display order. The server appends when omitted.

integer format: int32
nullable
IsActive

Whether this family can be assigned to plans.

boolean
Examplegenerated
{
"Key": "example",
"DisplayName": "example",
"Description": "example",
"SortOrder": 1,
"IsActive": true
}

OK

Media typeapplication/json
object
Data

Plan family detail.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
EntitlementModelId
string
nullable
EntitlementModelDisplayName
string
nullable
Description
string
nullable
SortOrder
integer format: int32
IsActive
boolean
PlanCount
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Plan family detail.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
EntitlementModelId
string
nullable
EntitlementModelDisplayName
string
nullable
Description
string
nullable
SortOrder
integer format: int32
IsActive
boolean
PlanCount
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Conflict

Media typeapplication/json
object
Data

Plan family detail.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
EntitlementModelId
string
nullable
EntitlementModelDisplayName
string
nullable
Description
string
nullable
SortOrder
integer format: int32
IsActive
boolean
PlanCount
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}